Subject: attach multiple programs to tun/tap interface

From: Prashant Batra <[email-masked]>
Date: Mon, 01 Apr 2013 22:42:21 +0530

Hi,

I have a basic query on tun/tap driver design. Is it possible to attach 
multiple user-space programs to the same tun/tap interface. I have not 
set the interface as EXCLUSIVE,
but still on trying to do ioctl with cmd as “TUNSETIFF” from the second 
user space program, I get “Device busy”.

Seeing through the driver code, it looks like it does not allow multiple 
user-programs to attach to the same interface, but is this valid, and 
please let me know why this requirement was taken.

Will you please help me in understanding this?

Thanks,
Prashant